<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".call.ui.StatsActivity">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:orientation="horizontal">
        <Button
            android:id="@+id/btn_interval_5"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="5秒"/>
        <Button
            android:id="@+id/btn_interval_10"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:text="10秒"/>
    </LinearLayout>
    <TextView
        android:id="@+id/tv_time"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingLeft="20dp"
        android:paddingTop="3dp"
        android:paddingBottom="3dp"
        android:text="时间：0" />
    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintLeft_toLeftOf="parent">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">
            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="5dp"
                android:paddingBottom="5dp"
                android:background="@color/darker_gray"
                android:text="本地音频数据"
                android:textStyle="bold"/>

            <TextView
                android:id="@+id/tv_localaudio_sentBitrate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="音频传输码率：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_localaudio_packetCount"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="音频总包数：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_localaudio_packetLossRate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="音频丢包率：0" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="5dp"
                android:paddingBottom="5dp"
                android:background="@color/darker_gray"
                android:text="本地视频数据"
                android:textStyle="bold"/>

            <TextView
                android:id="@+id/tv_localvideo_sentBitrate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="视频传输码率：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_localvideo_sentFrameRate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="帧率大小：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_localvideo_packetLossRate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="视频丢包率：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_localvideo_streamType"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="流类型：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_localvideo_packetCount"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="视频总包数：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_localvideo_width"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="视频宽：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_localvideo_height"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="视频高：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_localvideo_compensateLossRate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="补偿后丢包率：0" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="5dp"
                android:paddingBottom="5dp"
                android:background="@color/darker_gray"
                android:text="远端音频数据"
                android:textStyle="bold"/>
            <TextView
                android:id="@+id/tv_remoteaudio_userid"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="远端音频用户userId：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_remoteaudio_receivedBitrate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="音频传输码率：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_remoteaudio_packetLossRate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="音频丢包率：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_remoteaudio_totalFrozenTime"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="音频总的卡顿时长：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_remoteaudio_frozenRate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="音频卡顿比：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_remoteaudio_packetCount"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="音频总包数：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_remoteaudio_plcPacketCount"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="音频帧补偿数量：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_remoteaudio_uncompensateLoss"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="音频补偿前丢包率（％）：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_remoteaudio_totalTime"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="播放音频总时间：0" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="5dp"
                android:paddingBottom="5dp"
                android:background="@color/darker_gray"
                android:text="远端视频数据"
                android:textStyle="bold"/>

            <TextView
                android:id="@+id/tv_remotevideo_userid"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="远端视频用户userId：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_remotevideo_receivedBitrate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="视频传输码率：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_remotevideo_receivedFrameRate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="帧率大小：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_remotevideo_packetLossRate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="视频丢包率：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_remotevideo_totalFrozenTime"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="视频总的卡顿时长：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_remotevideo_frozenRate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="视频卡顿比：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_remotevideo_streamType"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="流类型：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_remotevideo_packetCount"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="视频总包数：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_remotevideo_width"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="视频宽：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_remotevideo_height"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="视频高：0" />
            <View
                android:layout_width="match_parent"
                android:layout_height="0.3dp"
                android:background="@color/darker_gray"
                android:layout_marginLeft="20dp"/>
            <TextView
                android:id="@+id/tv_remotevideo_uncompensateLoss"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="20dp"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:text="视频补偿前丢包率（％）：0" />

        </LinearLayout>
    </ScrollView>
</LinearLayout>